Bug 464471

Summary: Review Request: dvdrip - Graphical DVD ripping and encoding tool
Product: [Fedora] Fedora Reporter: Nicolas Chauvet (kwizart) <kwizart>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, ma, notting, tcallawa
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-03-12 11:33:24 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 182235    

Description Nicolas Chauvet (kwizart) 2008-09-29 06:32:50 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/dvdrip.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/dvdrip-0.98.8-3.fc8.kwizart.src.rpm
Description: Graphical DVD ripping and encoding tool


This package can extend its capabilities when additional packages are present at runtime. For now it can only work as a computer a master node for transcoding task.
Comment 1 Nicolas Chauvet (kwizart) 2008-09-29 06:36:04 EDT
Blocking FE-Legal for question about the possibility to have dvdrip within fedora whereas all functionalities cannot be provided within the fedora repository.
Comment 2 Tom "spot" Callaway 2008-10-09 15:53:16 EDT
OK, so what use will this have without the ability to read encoded DVD discs? Why would you want to have this here, as opposed to rpmfusion?
Comment 3 Martin J├╝rgens 2008-11-11 07:53:50 EST
dvdrip supports cluster mode whereas the master node does not need transcode or any other packages that are not in Fedora.

The nodes that encode the video could be other computers having transcode installed from rpmfusion so having dvdrip in Fedora repos would make sense.
Comment 4 Tom "spot" Callaway 2008-11-11 08:37:20 EST
Yes, but don't you think thats not a very common usecase? I would argue that the average user who sees dvdrip in the Fedora repository is going to expect it to, well, rip encrypted video DVDs, and will be rather confused and unhappy when it doesn't. Whereas, if this lives entirely in rpmfusion, it will just work as expected out of the box and can have sane Requires.
Comment 5 manuel wolfshant 2008-11-11 08:55:51 EST
+1 to comment #4. I would be very unhappy (translate: I would curse a day and half) if I would yum install dvdrip only to find out that... I cannot rip. To me this submission seems like a perfect candidate for our sister repo.
Comment 6 Nicolas Chauvet (kwizart) 2008-11-11 09:10:46 EST
I agree with what Martin said. (despite it will need to be properly tested to see which components will be disabled).

I will just add that the dependencies are accurately sorted in the dvdrip program. So anyone can see what should be installed at runtime. But that will requires some more tweaking and rework the warning/error messages depending on what are the users needs.

So, as martin said, we can already use dvdrip as a master node. I wonder what could be missing to submit tasks to this master node. (maybe xine for previews, but shouldn't be mandatory to submit blind tasks). For now, unless transcode is installed the program will block, but transcode shoudn't be mandatory to submit tasks nor to use it as a master node.

Also; despite the name, dvdrip doesn't only take dvd as a primary source. It can also use files. In this case, there is no need to have mp2 support or else.

About transcode. This program needs ffmpeg; but I think it should be possible to have a ffmpeg library patent free, which would lead to have a totally free built of transcode.
Such task for ffmpeg wouldn't be maintainable or will create more conflicts with the plain ffmpeg library than it will solve IMO.
Comment 7 Tom "spot" Callaway 2008-11-11 09:18:56 EST
This seems to be a significant amount of work, almost certainly which will not go upstream. I'm not sure how you'll be able to handle the missing dependencies in dvdrip, unless it is checking for its dependencies at runtime (and even then, if the user doesn't know about rpmfusion, this will likely serve to confuse them further when yum can't find these items).

I'm not trying to be difficult for the sake of being difficult, but when an application's description is "Graphical DVD ripping and encoding tool" and it will be unable to do either of those tasks out of the box, I'm strongly inclined to let it live, fully enabled, in rpmfusion.
Comment 8 Tom "spot" Callaway 2009-03-12 11:33:24 EDT
Closing this out. I strongly encourage you to take this to rpmfusion.